Name:		libao
Version:	0.8.8
Release:	1
Summary:	Cross-Platform Audio Output Library

Group:		System Environment/Libraries
License:	GPL
URL:		http://www.xiph.org/
Vendor:		Xiph.org Foundation <team@xiph.org>
Source:		http://www.xiph.org/releases/ao/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	esound-devel >= 0.2.8
Requires:	esound >= 0.2.8


%description
Libao is a cross-platform audio output library.  It currently supports
ESD, aRts, ALSA, OSS, *BSD and Solaris.

This package provides plug-ins for OSS, ESD, aRts, and ALSA (0.9).  You will
need to install the supporting libraries for any plug-ins you want to use
in order for them to work.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Cross Platform Audio Output Library Development
Group: Development/Libraries
Requires: libao = %{version}

%description devel
The libao-devel package contains the header files, libraries and
documentation needed to develop applications with libao.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --enable-shared --enable-static \
    --enable-esd --disable-nas --disable-alsa
make %{?_smp_mflags}

cp src/.libs/libao.so.2 .
cp src/plugins/esd/.libs/libesd.so .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --enable-shared --enable-static \
    --enable-esd --disable-nas --disable-alsa
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/libao.a ./libao.so.2
${AR} -q src/plugins/esd/.libs/libesd.a ./libesd.so


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README
%{_libdir}/*.a
%{_libdir}/ao/*/*.a
%{_mandir}/man5/*

%files devel
%defattr(-,root,root)
%doc doc/*
%{_includedir}/ao
%{_libdir}/*.la
%{_libdir}/ao/*/*.la
%{_datadir}/aclocal/ao.m4
%{_libdir}/pkgconfig/*


%changelog
* Thu Jan 17 2008 Michael Perzl <michael@perzl.org> - 0.8.8-1
- first version for AIX V5.1 and higher
